Close conversation

PUT
/v1/conversations/{conversationId}/close

Mark a conversation as closed by providing its id.

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Path Parameters

conversationId*integer
Formatint64

Request Body

Specify the acting user for the close

application/json
  1. body
userId?string

An optional agent/admin/AI agent to close the conversation. If not provided, the System User will be used.

Formatuuid

Response Body

The conversation was successfully closed

Example Request
curl -X PUT 'https://dev.dixa.io/v1/conversations/{conversationId}/close' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "userId": "5a556159-9c21-4f3e-a44f-d323deb80d16"}'

Empty